/*
*  Name:      TEmpty.java
*  Author:    Rafael Jesus Alcantara Perez
*  Summary:   Simple class for empty amounts
*  Date:      $Date: 2004-10-31 22:37:03 +0100 (dom, 31 oct 2004) $
*  Revision:  $Revision: 10386 $
*
*  Copyright (C) 2004  Rafael Jesus Alcantara Perez <rafa@dedaloingenieros.com>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston,
*  MA 02111-1307, USA.
*/

///  Package name for UTIL.
package org.mpcl.util;


///  Simple class for empty values.
public class TEmpty
{

  //
  //  S E L E C T O R S
  //

  /**
  *  Returns a string representation of the empty argument.
  *  @param dEMPTY_VALUE The empty value.
  *  @return The string representation of the empty argument.
  */
  public static String _toString (double dEMPTY_VALUE)
  {
    return "";
  }

  /**
  *  Returns the value of the specified number as a double.
  */
  public double doubleValue()
  {
    return 0;
  }

  /**
  *  Returns the value of the specified number as a float.
  */
  public float floatValue()
  {
    return 0;
  }

  /**
  *  Returns the value of the specified number as an int.
  */
  public int intValue() 
  {
    return 0;
  }

  /**
  *  Returns the value of the specified number as a long.
  */
  public long longValue() 
  {
    return 0;
  }

  /**
  *  Returns a string representation of the money argument.
  *  @param dMONEY_VALUE The money value.
  *  @return The string representation of the money argument.
  */
  public String toString()
  {
    return "";
  }

}  // class TEmpty
